include	clib.inc
include	dos.inc

PPROC tell, handle:word
	mov	ax,4201h
	mov	bx,handle
	xor	cx,cx
	mov	dx,cx
	int	21h
	jc	tell_error
    tell_end:
	ret
    tell_error:
	call	@dosmaper
	mov	ax,-1
	mov	dx,ax
	jmp	tell_end
PEND tell

	END
